Download it now!
Bug 87418 - Bad ordered list <ol> after saving ODT document as HTML.
Summary: Bad ordered list <ol> after saving ODT document as HTML.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.4.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2014-12-17 17:41 UTC by Piotr Orlewicz
Modified: 2019-04-07 16:39 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots from example document that shows where is the bug. (258.08 KB, application/zip)
2014-12-17 17:41 UTC, Piotr Orlewicz
Details
Sample ODT document, that when you save as HTML will contain the wrong section numbering. (1.70 MB, application/vnd.oasis.opendocument.text)
2014-12-21 16:28 UTC, Piotr Orlewicz
Details
odt to be saved in html (8.55 KB, application/vnd.oasis.opendocument.text)
2017-05-03 16:07 UTC, Alexey Khoroshilov
Details
resulting html (739 bytes, text/html)
2017-05-03 16:08 UTC, Alexey Khoroshilov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Orlewicz 2014-12-17 17:41:23 UTC
Created attachment 110959 [details]
Screenshots from example document that shows where is the bug.

After you save the ODT document as HTML, lists are wrong numbered. Some later sections that were continuous in the ODT document, in the HTML file numbering starts from the beginning. Are also badly formatted multilevel numbering. After saving to HTML is a single-level numbering. It seems that in HTML file, is missing start attribute of <ol> tag. Also other attributes responsible for numbered list formating is missing probably missing.

See attached examples.
Comment 1 Urmas 2014-12-19 19:50:20 UTC
HTML lists are just not working this way.
Comment 2 Robinson Tryon (qubit) 2014-12-21 08:15:45 UTC
(In reply to Piotr Orlewicz from comment #0)
> After you save the ODT document as HTML, lists are wrong numbered. 
> [...]
> See attached examples.

To focus on just one piece of the bug report, the attached images do appear to show incorrect numbering of the lists after export.

Could you please attach an example file that shows this behavior?

Thanks!

Status -> NEEDINFO

(Please change the status back to UNCONFIRMED after the test document is uploaded)
Comment 3 Piotr Orlewicz 2014-12-21 16:28:49 UTC
Created attachment 111114 [details]
Sample ODT document, that when you save as HTML will contain the wrong section numbering.

I attached a sample ODT file, that when you save it as HTML will contain wrong numbered section. PDF exported from this document are perfect.
Perhaps the information will be important that the sample document was created in many different version of Libre Office Writer. The first version was created in much older editor. While the  document was extended for many months,  Libre Office was successively updated.
Comment 4 Robinson Tryon (qubit) 2014-12-21 16:56:16 UTC
(In reply to Piotr Orlewicz from comment #3)

REPRO Steps:

> I attached a sample ODT file,

1) Save and open attachment 111114 [details] with LibreOffice
2) Save as HTML
3) Export as PDF

RESULT:

> that when you save it as HTML will contain
> wrong numbered section.

Bug CONFIRMED.

On page 8 (do a case-sensitive search for 'Przed') of the ODT, we have
 2  WAŻNE !!!
     ...
 2.1  Przeznaczenie.
    ....
 2.2  Bezpieczeństwo nurkowania.

In the saved HTML, this appears as

 2.  WAŻNE !!!
     ...
 1.  Przeznaczenie.
    ....
 1.  Bezpieczeństwo nurkowania.


> PDF exported from this document are perfect.

The numbering on page 8 appears to be correct, yes.


Status -> NEW
Hardware -> All
OS -> All
Comment 5 QA Administrators 2016-01-17 20:02:06 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 13:48:10 UTC Comment hidden (obsolete)
Comment 7 Alexey Khoroshilov 2017-05-03 16:06:15 UTC
Saving of lists to HTML works very strange (tested in LibreOffice 5.1.6.2 and 5.3.2.2):

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title></title>
	<meta name="generator" content="LibreOffice 5.3.2.2 (Linux)"/>
</head>
<body>
  <p>HTMLList example</p>
  <ol>
	<li/>
  <p>element1</p>
	<li/>
  <p>element2</p>
</ol>
</body>
</html>
Comment 8 Alexey Khoroshilov 2017-05-03 16:07:42 UTC
Created attachment 133042 [details]
odt to be saved in html
Comment 9 Alexey Khoroshilov 2017-05-03 16:08:26 UTC
Created attachment 133043 [details]
resulting html
Comment 10 QA Administrators 2019-02-17 03:44:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug